> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprofile.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models

> List available models from upstream provider

## Overview

Lists available models from the configured upstream LLM provider. This endpoint forwards to the upstream provider's models endpoint.

## Request

No request body required.

## Response

<ResponseExample>
  ```json theme={null}
  {
    "object": "list",
    "data": [
      {
        "id": "gpt-5",
        "object": "model",
        "created": 1704067200,
        "owned_by": "openai"
      },
      {
        "id": "gpt-5-mini",
        "object": "model",
        "created": 1704067200,
        "owned_by": "openai"
      },
      {
        "id": "gpt-3.5-turbo",
        "object": "model",
        "created": 1704067200,
        "owned_by": "openai"
      }
    ]
  }
  ```
</ResponseExample>

## Example

```bash theme={null}
curl https://api.yourserver.com/v1/models \
  -H "Authorization: Bearer gp_your_key" \
  -H "X-Upstream-Key: sk-openai-key"
```
